coef.dglars {dglars} | R Documentation

## Extract the dgLARS Coefficient Path

### Description

`coef.dglars` is used to extract the coefficient path computed by dgLARS method.

### Usage

    ## S3 method for class 'dglars'
    coef(object, type = c("pearson", "deviance", "mle", "grcv"),
    g = NULL, ...)

### Arguments

`object` | fitted `dglars` object.
`type` | a description of the estimator used for the dispersion parameter.
`g` | vector of values of the tuning parameter.
`...` | further arguments passed to the function `link{grcv}`.

### Details

`coef.dglars` is a wrapper function calling “`predict.dglars`” and “`phihat`”. By default, this function returns the sequence of the penalized coefficients and the sequence of the penalized estimate of the dispersion parameter phi. The user can specify the argumnets of the function `grcv` by the argument `...`).

### Value

`coef.dglars` returns a named list with component:

`beta` | the sequence of the penalized estimates of the regression coefficients;
`phi` | the penalized estimates of the dispersion parameter;
`g` | the vector of the values of the tuning parameter.

### Author(s)

Luigi Augugliaro
Maintainer: Luigi Augugliaro luigi.augugliaro@unipa.it

### See Also

`predict.dglars`, `phihat` and `grcv`.

### Examples

    ###########################
    # Logistic regression model
    set.seed(123)
    n <- 100
    p <- 10
    X <- matrix(rnorm(n * p), n, p)
    b <- 1:2
    eta <- b[1] + X[, 1] * b[2]
    mu <- binomial()$linkinv(eta)
    y <- rbinom(n, 1, mu)
    fit <- dglars(y ~ X, family = binomial)
    coef(fit)
    coef(fit, g = seq(4, 0.5, length = 10))

    ###########################
    # Gamma family
    n <- 100
    p <- 10
    X <- matrix(abs(rnorm(n * p)), n, p)
    b <- 1:2
    eta <- b[1] + X[, 1] * b[2]
    mu <- drop(Gamma()$linkinv(eta))
    shape <- 0.5
    phi <- 1 / shape
    y <- rgamma(n, scale = mu / shape, shape = shape)
    fit <- dglars(y ~ X, Gamma("log"))
    coef(fit, type = "pearson")
    coef(fit, type = "deviance")
    coef(fit, type = "mle")

[Package dglars version 2.1.2 Index]